Page MenuHomePhabricator

Allow users to reset their password
Closed, ResolvedPublic

Description

Login screen with "Forgot your password?" linkReset password form (causes user to be emailed reset instructions)Set new password form (shown when user logs in with temp password they were emailed)

Event Timeline

JMinor created this task.Jan 6 2017, 12:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2017, 12:29 AM
cmadeo updated the task description. (Show Details)Jan 6 2017, 9:00 PM
cmadeo removed cmadeo as the assignee of this task.Jan 24 2017, 7:39 PM
Mhurd updated the task description. (Show Details)Feb 15 2017, 2:49 AM
Mhurd added a comment.EditedFeb 15 2017, 2:53 AM

Testing prerequisites:

  • Need a user account which has an email address associated with it. This is because password reset instructions are sent to the email address associated with the account.

Testing steps:

  • Start app and go to "Explore"
  • Tap gear icon in upper left of screen
  • Tap "Log in" (log out first if already logged in)
  • Tap "Forgot your password?"
  • Enter the user name (or email address associated with an account)
  • Tap "Reset"
  • Should see an alert saying and email has been sent with password reset instructions.
  • Check email for the email address associated with the account
  • This email will contain a temporary password
  • Log in to the app with that temporary password
  • You should then be presented with a password changing interface
  • Enter a new password (and retype it)
  • Now log in to the app with the new password

Tap for animation of steps:

Mhurd updated the task description. (Show Details)Feb 15 2017, 3:05 AM
Mhurd updated the task description. (Show Details)Feb 15 2017, 3:10 AM
Mhurd added a comment.EditedFeb 15 2017, 3:20 AM

@cmadeo should we just skip the "needs design review" column for now given that we have follow-up design changes coming? Same for https://phabricator.wikimedia.org/T154728 ?

Testing on iPhone 7 (iOS 10.2) and Wikipedia 5.4.0 (1076). Everything works as expected, I was able to change my password to my user (one screencap below presented to show this) so this is fixed.

Kaartic removed a subscriber: Kaartic.Feb 23 2017, 4:35 PM
JMinor closed this task as Resolved.Mar 20 2017, 6:36 PM